import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsRds } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-09 16:02
 */
interface DevopsRdsCU extends ConditionUtil<DevopsRdsCU> {
    ID: FieldUtil<DevopsRdsCU>;
    CLOUD_PLATFORM: FieldUtil<DevopsRdsCU>;
    CLOUD_ACCOUNT_ID: FieldUtil<DevopsRdsCU>;
    REGION_ID: FieldUtil<DevopsRdsCU>;
    INSTANCE_ID: FieldUtil<DevopsRdsCU>;
    IP: FieldUtil<DevopsRdsCU>;
    RDS_TYPE: FieldUtil<DevopsRdsCU>;
    PORT: FieldUtil<DevopsRdsCU>;
    INSTANCE_NAME: FieldUtil<DevopsRdsCU>;
    BUSINESS_GROUP: FieldUtil<DevopsRdsCU>;
    INSTANCE_SPECIFICATIONS: FieldUtil<DevopsRdsCU>;
    CPU: FieldUtil<DevopsRdsCU>;
    MEMORY: FieldUtil<DevopsRdsCU>;
    DISK_CAPACITY: FieldUtil<DevopsRdsCU>;
    VERSION: FieldUtil<DevopsRdsCU>;
    RUNNING_STATE: FieldUtil<DevopsRdsCU>;
    BILLING_WAY: FieldUtil<DevopsRdsCU>;
    BUY_TIME: FieldUtil<DevopsRdsCU>;
    EXPIRE_TIME: FieldUtil<DevopsRdsCU>;
    REMARK: FieldUtil<DevopsRdsCU>;
    CREATE_TIME: FieldUtil<DevopsRdsCU>;
    UPDATE_TIME: FieldUtil<DevopsRdsCU>;
    ENGINE: FieldUtil<DevopsRdsCU>;
}
declare class DevopsRdsMU extends TableUtilImpl<DevopsRdsCU, DevopsRds> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsRdsCU;
    static get ID(): FieldUtil<DevopsRdsCU>;
    static get CLOUD_PLATFORM(): FieldUtil<DevopsRdsCU>;
    static get CLOUD_ACCOUNT_ID(): FieldUtil<DevopsRdsCU>;
    static get REGION_ID(): FieldUtil<DevopsRdsCU>;
    static get INSTANCE_ID(): FieldUtil<DevopsRdsCU>;
    static get IP(): FieldUtil<DevopsRdsCU>;
    static get RDS_TYPE(): FieldUtil<DevopsRdsCU>;
    static get PORT(): FieldUtil<DevopsRdsCU>;
    static get INSTANCE_NAME(): FieldUtil<DevopsRdsCU>;
    static get BUSINESS_GROUP(): FieldUtil<DevopsRdsCU>;
    static get INSTANCE_SPECIFICATIONS(): FieldUtil<DevopsRdsCU>;
    static get CPU(): FieldUtil<DevopsRdsCU>;
    static get MEMORY(): FieldUtil<DevopsRdsCU>;
    static get DISK_CAPACITY(): FieldUtil<DevopsRdsCU>;
    static get VERSION(): FieldUtil<DevopsRdsCU>;
    static get RUNNING_STATE(): FieldUtil<DevopsRdsCU>;
    static get BILLING_WAY(): FieldUtil<DevopsRdsCU>;
    static get BUY_TIME(): FieldUtil<DevopsRdsCU>;
    static get EXPIRE_TIME(): FieldUtil<DevopsRdsCU>;
    static get REMARK(): FieldUtil<DevopsRdsCU>;
    static get CREATE_TIME(): FieldUtil<DevopsRdsCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsRdsCU>;
    static get ENGINE(): FieldUtil<DevopsRdsCU>;
    get ID(): FieldUtil<DevopsRdsCU>;
    get CLOUD_PLATFORM(): FieldUtil<DevopsRdsCU>;
    get CLOUD_ACCOUNT_ID(): FieldUtil<DevopsRdsCU>;
    get REGION_ID(): FieldUtil<DevopsRdsCU>;
    get INSTANCE_ID(): FieldUtil<DevopsRdsCU>;
    get IP(): FieldUtil<DevopsRdsCU>;
    get RDS_TYPE(): FieldUtil<DevopsRdsCU>;
    get PORT(): FieldUtil<DevopsRdsCU>;
    get INSTANCE_NAME(): FieldUtil<DevopsRdsCU>;
    get BUSINESS_GROUP(): FieldUtil<DevopsRdsCU>;
    get INSTANCE_SPECIFICATIONS(): FieldUtil<DevopsRdsCU>;
    get CPU(): FieldUtil<DevopsRdsCU>;
    get MEMORY(): FieldUtil<DevopsRdsCU>;
    get DISK_CAPACITY(): FieldUtil<DevopsRdsCU>;
    get VERSION(): FieldUtil<DevopsRdsCU>;
    get RUNNING_STATE(): FieldUtil<DevopsRdsCU>;
    get BILLING_WAY(): FieldUtil<DevopsRdsCU>;
    get BUY_TIME(): FieldUtil<DevopsRdsCU>;
    get EXPIRE_TIME(): FieldUtil<DevopsRdsCU>;
    get REMARK(): FieldUtil<DevopsRdsCU>;
    get CREATE_TIME(): FieldUtil<DevopsRdsCU>;
    get UPDATE_TIME(): FieldUtil<DevopsRdsCU>;
    get ENGINE(): FieldUtil<DevopsRdsCU>;
}
export { DevopsRdsMU, DevopsRdsCU };
